require 'facets/core/module/shadow_method'

class Module
  # Creates a shadow method for every currently defined method.
  def shadow_all( include_ancestors=true )
    instance_methods(include_ancestors).each { |m| shadow_method( m ) }
  end
end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# TODO
